package ittp.protocol.response.headers;

import ittp.protocol.response.Response;

/**
 * This class create the header content-MD5.
 * @author Frederic Bidon and Mathieu Texier
 */
public class ContentMD5  extends Response.Headers{
    private Response parent;
    /**Constructor of the class*/
    public ContentMD5 (Response parent) {
        parent.super ();
        this.parent = parent;
    }
    
    /**
     * Convert to a string the headers content-MD5.
     * @return a string containing the content-MD5 of the body.
     */
    public String toString () {
        return parent.body.getDigest () + "\n";
    }
    
    /**
     * Mutators for the boolean allowed.
     * @param allowed boolean that determine if this headers is allowed.
     */
    public void setAllowed (boolean allowed) {
        this.allowed = allowed;
    }
    
    /**
     * Mutators for the boolean used.
     * @param used boolean that determine if this headers is used.
     */
    public void setUsed (boolean used) {
        this.used = used;
    }
    
}
